package com.mobineon.musix.player;

interface UpdateService
{
        void setEnd(String end);
        String[] getTrackPathList();
        void changeTrackUri(int idx, String uri);
        void preparePlayList(int num, in String[] soundUri, in String[] albomName, in String[] trackName,
                                        in String[] artistName, in String[] albomImage, in long[] row, in int[] time);
        void playList(in String[] soundUri,in String[] albomName,in String[] trackName,in String[] artistName,
        in String[] albomImage,in long[] row,in int[] time);
        void playListPos(in String[] soundUri,in String[] albomName,in String[] trackName,in String[] artistName,
        in String[] albomImage,in long[] row,in int[] time, in int newCurrent);
        /*void addTrack(String soundUri, String albomName, String trackName, String artistName,
        String albomImage, long row, int time);*/
        void addTrackList(in String[] soundUri, in String[] albomName, in String[] trackName, in String[] artistName,
        in String[] albomImage, in long[] row, in int[] time);
        void removeTrack(int num);
        void removeTrackList(in int[] list);
        void play(int namberSound, int currentPosition);
        byte[] getVisBytes(boolean fft);
        int pause();
        void rccReRegister();
        boolean stop();
        boolean stopNoBroadcast();
        void updateBT();
        void next();
        void nextNoPlay();
        void recalcNext();
        void prev();
        void dropBlockFast();
        boolean isBlockFast();
        void ScrollForward(int currentPosition);
        void setVolume(int volume);
        void setNamber(int namber);
        void setRepeat(int mRepeat);
        int getRepeat();
        boolean getShuffle();
        void setShuffle(boolean mShuffle);
        //void ListPlay(cu)
        void setBalance(int fBalance, boolean isEnable);
        void setEqualizerData(int eq1, int eq2, int eq3, int eq4, int eq5, int eq6, int eq7, int eq8, int mBalanse, int mBass, int mHeight, boolean bool);
        void getData();
        String getAlbomName();
        String getTrackName();
        String getArtistName();
        String getAlbomImage();
        String getNextTrackName();
        int getRowId();
 	    void setTurnId(int turn_id);
        int getTurnId();
        int getAudioSessionId();
        boolean isPlaying();
        boolean isPlayingSmart();
        boolean PlayListTrue();
        int returnCurrentPosition();
        void setCurrentPosition();
        void ifListPlay();
        void clearAllTrackArrays();
        long getDuration();
        int getCurrentTrackPosition();
        int getPlaylistSize();
        int getOffCount();
        void startForeground();
        void stopForeground();
        void currentBroadcast();
        void prepareToPlay();
        void setCurrentPositionWithoutSeek(int position);
        void setUpAsForeground();
        void sendBroadcastTrackData(int soundPlayNow);
        boolean isLoaded();
        String getNextTrack();
        String getTrackCount();
        int getTrackDuration();
        String getTrackMetaData();
        String getPlayListName();
        int getCurrentTime();
        int getPlayerState();
        String getCurrentAlbumArt();
        void restoreState();
        void setPlayListName(String name);
        String[] getAndForgetCountOfList();
        String[] getAndForgetLastDate();
        void moveTrack(int from, int to);
        void getPlayingState();
        void setPendingPlay();
        void setCurrentSongIndex(int index);
        boolean getExitedAndForget();
        long getTimerEndTime();
        int getTimerLastSetTime();
        boolean getTimerLastStart();
        void setAndStartTimer(int time, boolean play);
        void addRunningTimer(int time);
        void stopTimer();
        void savePlayFade(boolean fade);
        void saveCrossFade(boolean fade, int length);
        void saveManCrossFade(int length);
        boolean getPlayFade();
        boolean getCrossFade();
        int getManCrossFadeLength();
        int getCrossFadeLength();
        void setBlockHUD(boolean state);
        void enableHUD(boolean state);
        boolean getHUD();
        void setOurLockOnScreen(boolean visible);
        String getTrackPath();
        boolean isPlayerReady();
        boolean getStandOutState();
        void setStandOutState(boolean state);
        void showWidgetIfNotShown();
        void showStandOut(int delay);
        void saveVisPresetNum(int num, int style);
        int getVisPresetNum(int style);
        int getVisStyle();
        void setVisStyle(int style);
        void setCustomizable(boolean customisable);
        void saveOscPreset(String name, int lineColor, int shadowColor, boolean hasShadow, boolean isFilled, int transparency, int graphStep, boolean hasEcho, boolean darkenArt);
        String[] getOscPreset(String name);
        void initOscPresets();
        void initMWavPresets();
        String[] getOscPresetList();
        void removeOscPreset(String name);
        void saveMWavPreset(String name, in int[] colors, boolean plumEnabled, int plumColor, boolean shadowEnabled, int shadowColor, boolean addLines, boolean isFilled, boolean darkenArt);
        String[] getMWavPreset(String name);
        String[] getMWavPresetList();
        void removeMWavPreset(String name);
        void createVis();
        void removeVis();
        void setScrobbler(int scrobbler);
        int getScrobbler();
        void updTrack(String path, String title, String artist, String album, String album_art);
        int getTrackNumByUri(String uri);
        boolean isEnabled(int num);
        void dropStandOutHelp();
        void youAreAlone();
        void youAreNotAlone();
        int getDurationVibration();
        long getLockEndTime();
        boolean usingSamsungFix();
        void setSamsungFix(boolean set);
        void setResourcePkg(String pkg);
        void kill();
}
